#use "dll3impact.lib"
//#autodefine "off"
// define custom types
#typedef UINT unsigned int
#typedef HWND UINT
#typedef HANDLE UINT
#typedef BOOL int
#typedef CHAR byte
#typedef LONG int
#typedef DWORD unsigned int

// defines
#define DIK_ESCAPE          0x01
#define DIK_1               0x02
#define DIK_2               0x03
#define DIK_3               0x04
#define DIK_4               0x05
#define DIK_5               0x06
#define DIK_6               0x07
#define DIK_7               0x08
#define DIK_8               0x09
#define DIK_9               0x0A
#define DIK_0               0x0B
#define DIK_MINUS           0x0C
#define DIK_EQUALS          0x0D
#define DIK_BACK            0x0E
#define DIK_TAB             0x0F
#define DIK_Q               0x10
#define DIK_W               0x11
#define DIK_E               0x12
#define DIK_R               0x13
#define DIK_T               0x14
#define DIK_Y               0x15
#define DIK_U               0x16
#define DIK_I               0x17
#define DIK_O               0x18
#define DIK_P               0x19
#define DIK_LBRACKET        0x1A
#define DIK_RBRACKET        0x1B
#define DIK_RETURN          0x1C
#define DIK_LCONTROL        0x1D
#define DIK_A               0x1E
#define DIK_S               0x1F
#define DIK_D               0x20
#define DIK_F               0x21
#define DIK_G               0x22
#define DIK_H               0x23
#define DIK_J               0x24
#define DIK_K               0x25
#define DIK_L               0x26
#define DIK_SEMICOLON       0x27
#define DIK_APOSTROPHE      0x28
#define DIK_GRAVE           0x29
#define DIK_LSHIFT          0x2A
#define DIK_BACKSLASH       0x2B
#define DIK_Z               0x2C
#define DIK_X               0x2D
#define DIK_C               0x2E
#define DIK_V               0x2F
#define DIK_B               0x30
#define DIK_N               0x31
#define DIK_M               0x32
#define DIK_COMMA           0x33
#define DIK_PERIOD          0x34
#define DIK_SLASH           0x35
#define DIK_RSHIFT          0x36
#define DIK_MULTIPLY        0x37
#define DIK_LMENU           0x38
#define DIK_SPACE           0x39
#define DIK_CAPITAL         0x3A
#define DIK_F1              0x3B
#define DIK_F2              0x3C
#define DIK_F3              0x3D
#define DIK_F4              0x3E
#define DIK_F5              0x3F
#define DIK_F6              0x40
#define DIK_F7              0x41
#define DIK_F8              0x42
#define DIK_F9              0x43
#define DIK_F10             0x44
#define DIK_NUMLOCK         0x45
#define DIK_SCROLL          0x46
#define DIK_NUMPAD7         0x47
#define DIK_NUMPAD8         0x48
#define DIK_NUMPAD9         0x49
#define DIK_SUBTRACT        0x4A
#define DIK_NUMPAD4         0x4B
#define DIK_NUMPAD5         0x4C
#define DIK_NUMPAD6         0x4D
#define DIK_ADD             0x4E
#define DIK_NUMPAD1         0x4F
#define DIK_NUMPAD2         0x50
#define DIK_NUMPAD3         0x51
#define DIK_NUMPAD0         0x52
#define DIK_DECIMAL         0x53
#define DIK_OEM_102         0x56
#define DIK_F11             0x57
#define DIK_F12             0x58
#define DIK_F13             0x64
#define DIK_F14             0x65
#define DIK_F15             0x66
#define DIK_KANA            0x70
#define DIK_ABNT_C1         0x73
#define DIK_CONVERT         0x79
#define DIK_NOCONVERT       0x7B
#define DIK_YEN             0x7D
#define DIK_ABNT_C2         0x7E
#define DIK_NUMPADEQUALS    0x8D
#define DIK_PREVTRACK       0x90
#define DIK_AT              0x91
#define DIK_COLON           0x92
#define DIK_UNDERLINE       0x93
#define DIK_KANJI           0x94
#define DIK_STOP            0x95
#define DIK_AX              0x96
#define DIK_UNLABELED       0x97
#define DIK_NEXTTRACK       0x99
#define DIK_NUMPADENTER     0x9C
#define DIK_RCONTROL        0x9D
#define DIK_MUTE            0xA0
#define DIK_CALCULATOR      0xA1
#define DIK_PLAYPAUSE       0xA2
#define DIK_MEDIASTOP       0xA4
#define DIK_VOLUMEDOWN      0xAE
#define DIK_VOLUMEUP        0xB0
#define DIK_WEBHOME         0xB2
#define DIK_NUMPADCOMMA     0xB3
#define DIK_DIVIDE          0xB5
#define DIK_SYSRQ           0xB7
#define DIK_RMENU           0xB8
#define DIK_PAUSE           0xC5
#define DIK_HOME            0xC7
#define DIK_UP              0xCD // 0xC8 //  right
#define DIK_PRIOR           0xC9
#define DIK_LEFT            0xD0 // 0xCB //  down
#define DIK_RIGHT           0xC8 // 0xCD //  up
#define DIK_END             0xCF
#define DIK_DOWN            0xCB // 0xD0 // left
#define DIK_NEXT            0xD1
#define DIK_INSERT          0xD2
#define DIK_DELETE          0xD3
#define DIK_LWIN            0xDB
#define DIK_RWIN            0xDC
#define DIK_APPS            0xDD
#define DIK_POWER           0xDE
#define DIK_SLEEP           0xDF
#define DIK_WAKE            0xE3
#define DIK_WEBSEARCH       0xE5
#define DIK_WEBFAVORITES    0xE6
#define DIK_WEBREFRESH      0xE7
#define DIK_WEBSTOP         0xE8
#define DIK_WEBFORWARD      0xE9
#define DIK_WEBBACK         0xEA
#define DIK_MYCOMPUTER      0xEB
#define DIK_MAIL            0xEC
#define DIK_MEDIASELECT     0xED
#define DIK_BACKSPACE       DIK_BACK
#define DIK_NUMPADSTAR      DIK_MULTIPLY
#define DIK_LALT            DIK_LMENU
#define DIK_CAPSLOCK        DIK_CAPITAL
#define DIK_NUMPADMINUS     DIK_SUBTRACT
#define DIK_NUMPADPLUS      DIK_ADD
#define DIK_NUMPADPERIOD    DIK_DECIMAL
#define DIK_NUMPADSLASH     DIK_DIVIDE
#define DIK_RALT            DIK_RMENU
#define DIK_UPARROW         DIK_UP
#define DIK_PGUP            DIK_PRIOR
#define DIK_LEFTARROW       DIK_LEFT
#define DIK_RIGHTARROW      DIK_RIGHT
#define DIK_DOWNARROW       DIK_DOWN
#define DIK_PGDN            DIK_NEXT
#define DIK_CIRCUMFLEX      DIK_PREVTRACK

//#define FLT_MAX 3.402823466e+38f

#define D3DX_FILTER_NONE            (1 << 0)
#define D3DX_FILTER_POINT           (2 << 0)
#define D3DX_FILTER_LINEAR          (3 << 0)
#define D3DX_FILTER_TRIANGLE        (4 << 0)
#define D3DX_FILTER_BOX             (5 << 0)
#define D3DX_FILTER_MIRROR_U        (1 << 16)
#define D3DX_FILTER_MIRROR_V        (2 << 16)
#define D3DX_FILTER_MIRROR_W        (4 << 16)
#define D3DX_FILTER_MIRROR          (7 << 16)
#define D3DX_FILTER_DITHER          (8 << 16)

#define D3DBLEND_ZERO               1
#define D3DBLEND_ONE                2
#define D3DBLEND_SRCCOLOR           3
#define D3DBLEND_INVSRCCOLOR        4
#define D3DBLEND_SRCALPHA           5
#define D3DBLEND_INVSRCALPHA        6
#define D3DBLEND_DESTALPHA          7
#define D3DBLEND_INVDESTALPHA       8
#define D3DBLEND_DESTCOLOR          9
#define D3DBLEND_INVDESTCOLOR       10
#define D3DBLEND_SRCALPHASAT        11
#define D3DBLEND_BOTHSRCALPHA       12
#define D3DBLEND_BOTHINVSRCALPHA    13

#define D3DTEXF_NONE            0
#define D3DTEXF_POINT           1
#define D3DTEXF_LINEAR          2
#define D3DTEXF_ANISOTROPIC     3
#define D3DTEXF_FLATCUBIC       4
#define D3DTEXF_GAUSSIANCUBIC   5

#define D3DTADDRESS_WRAP         1
#define D3DTADDRESS_MIRROR       2
#define D3DTADDRESS_CLAMP        3
#define D3DTADDRESS_BORDER       4
#define D3DTADDRESS_MIRRORONCE   5

struct D3DXVECTOR2
{
   float x,y;
}

struct D3DXVECTOR3
{
   float x,y,z;
}
struct D3DXVECTOR4
{
   float x,y,z,w;
}
struct D3DXMATRIX
{
   float _11,_12,_13,_14,_21,_22,_23,_24,_31,_32,_33,_34,_41,_42,_43,_44;
}
struct D3DXQUATERNION
{
   float x,y,z,w; 
}
struct D3DXPLANE
{
   float a,b,c,d;
}

struct MESHVERTEX
{
   D3DXVECTOR3 p;
   D3DXVECTOR3 n;
   float u,v;
}
struct MESHFACE
{
   WORD v0;
   WORD v1;
   WORD v2;
}

struct DIJOYSTATE2
{
   LONG  lX;
   LONG  lY;
   LONG  lZ;
   LONG  lRx;
   LONG  lRy;
   LONG  lRz;
   LONG  rglSlider[2];
   DWORD rgdwPOV[4];
   BYTE  rgbButtons[128];
   LONG  lVX;
   LONG  lVY;
   LONG  lVZ;
   LONG  lVRx;
   LONG  lVRy;
   LONG  lVRz;
   LONG  rglVSlider[2];
   LONG  lAX;
   LONG  lAY;
   LONG  lAZ;
   LONG  lARx;
   LONG  lARy;
   LONG  lARz;
   LONG  rglASlider[2];
   LONG  lFX;
   LONG  lFY;
   LONG  lFZ;
   LONG  lFRx;
   LONG  lFRy;
   LONG  lFRz;
   LONG  rglFSlider[2];
}



// structures
struct ISETTINGS
{
   DWORD dwAdapter;
   DWORD dwDevice;
   DWORD dwMode;
   DWORD MultiSampleType;
   BOOL bFullScreen;
   BOOL bDoNotShow;
}

declare cdecl import, i3ImpactOpen(int window, int full),int;
declare cdecl import, i3ImpactSettings(ISETTINGS p0),int;
declare cdecl import, i3ImpactMain();
declare cdecl import, i3ImpactInitBegin();
declare cdecl import, i3ImpactInitEnd();
declare cdecl import, i3ImpactRunBegin();
declare cdecl import, i3ImpactRunEnd();
declare cdecl import, i3ImpactRender();
declare cdecl import, i3ImpactExitBegin();
declare cdecl import, i3ImpactExitEnd();
declare cdecl import, i3ImpactClose();
declare cdecl import, i3ImpactIsRendering(),int;
declare cdecl import, i3ImpactIsActive(),int;
declare cdecl import, i3ImpactIsReady(),int;
declare cdecl import, i3ImpactIsExecuting(),int;
declare cdecl import, i3ImpactIsInitializing(),int;
declare cdecl import, i3ImpactIsSkippingRunPhase(),int;
declare cdecl import, i3ImpactIsSkippingRenderPhase(),int;
declare cdecl import, i3ImpactErrorFlag(),int;
declare cdecl import, i3ImpactIsRenderingSet(int p0);
declare cdecl import, i3ImpactIsActiveSet(int p0);
declare cdecl import, i3ImpactIsReadySet(int p0);
declare cdecl import, i3ImpactIsExecutingSet(int p0);
declare cdecl import, i3ImpactIsInitializingSet(int p0);
declare cdecl import, i3ImpactIsSkippingRunPhaseSet(int p0);
declare cdecl import, i3ImpactIsSkippingRenderPhaseSet(int p0);
declare cdecl import, i3ImpactErrorFlagSet(int p0);

declare cdecl import, iMeshPartCount(string p0, BOOL p1),int;
declare cdecl import, iMeshPartCountFromMemory(byte p0,int p1,BOOL p2),int;    
declare cdecl import, iParticleTextureSet(unsigned int p0, unsigned int p1);
declare cdecl import, iParticleTextureReset(unsigned int p0);
declare cdecl import, iTrailTextureSet(unsigned int p0, unsigned int p1);
declare cdecl import, iTrailTextureReset(unsigned int p0);
declare cdecl import, iBodyMeshPartCreate(string p0, int p1, unsigned int p2),unsigned int;
declare cdecl import, iBodyMeshPartCreateFromMemory(byte p0, int p1, byte p2, int p3, int p4, int p5, unsigned int p6),unsigned int;
declare cdecl import, iMeshPartCreate(string p0, int p1),unsigned int;
declare cdecl import, iMeshPartCreateFromMemory(byte p0, int p1, byte p2, int p3, int p4, int p5),unsigned int;
declare cdecl import, iQuaternionSpline(unsigned int p0,unsigned int p1,unsigned int p2,unsigned int p3,unsigned int p4,float p5);

//CAMERA
declare cdecl import, iCameraCreate(float x, float y ,float w ,float h),unsigned int;
declare cdecl import, iCameraDestroy(unsigned int p0);
declare cdecl import, iCameraHide(unsigned int p0);
declare cdecl import, iCameraShow(unsigned int p0);
declare cdecl import, iCameraSet(unsigned int p0,float p1,float p2 ,float p3,float p4);
declare cdecl import, iCameraFovSet(unsigned int p0,float p1);
declare cdecl import, iCameraFov(unsigned int p0),float;
declare cdecl import, iCameraClipDistanceSet(unsigned int p0,float p1);
declare cdecl import, iCameraLookAt(unsigned int p0, D3DXVECTOR3 p1,float p2);
declare cdecl import, iCameraEulerOrientationSet(unsigned int p0,float p1,float p2,float p3, string p4);
declare cdecl import, iCameraOrientationSet(unsigned int p0,D3DXQUATERNION p1);
declare cdecl import, iCameraOrientation(unsigned int p0, D3DXQUATERNION p1);
declare cdecl import, iCameraLocationSet(unsigned int p0, D3DXVECTOR3 p1);
declare cdecl import, iCameraLocation(unsigned int p0, D3DXVECTOR3 p1);
declare cdecl import, iCameraAutoWipeSet(unsigned int p0 ,int p1);
declare cdecl import, iCameraSpritesOnlySet(unsigned int p0,BOOL p1);
declare cdecl import, iCameraPreRenderCallbackEnable(unsigned int p0,BOOL p1);
declare cdecl import, iCameraVelocitySet(unsigned int p0, D3DXVECTOR3 p1);
    

//#End Region
//#Region "LIGHT"
//LIGHT

declare cdecl import, iLightDirectionalSet(D3DXVECTOR3 p0, D3DXVECTOR4 p1);
declare cdecl import, iLightLocalLocationSet(int p0, D3DXVECTOR3 p1);
declare cdecl import, iLightLocalColorSet(int p0,D3DXVECTOR4 p1);
//#End Region

//#Region "SKYBOX"
//SKYBOX

declare cdecl import, iSkyBoxCreate(string path),unsigned int;
declare cdecl import, iSkyBoxDestroy(unsigned int p0);
declare cdecl import, iSkyBoxHide(unsigned int p0);
declare cdecl import, iSkyBoxShow(unsigned int p0);
declare cdecl import, iSkyBoxColorSet(unsigned int p0,float p1,float p2,float p3);
declare cdecl import, iSkyBoxEnvMapCasterAdd(unsigned int p0);
declare cdecl import, iSkyBoxEnvMapCasterRemove(unsigned int p0);
    
//#End Region
//#Region "BODY"
////BODY

declare cdecl import, iBodyCreate(string p0),unsigned int;
declare cdecl import, iBodyCreateFromMemory(byte p0, int p1, byte p2, int p3),unsigned int;
declare cdecl import, iBodySGCreate(string path,float p1),unsigned int;
declare cdecl import, iBodySGCreateFromMemory(byte p0,long p1,float p2),unsigned int;
declare cdecl import, iBodySphereCreate(float p0,float p1),unsigned int;
declare cdecl import, iBodyDestroy(unsigned int p0);
declare cdecl import, iBodyDisable(unsigned int p0);
declare cdecl import, iBodyEnable(unsigned int p0);
declare cdecl import, iBodyStatus(unsigned int p0),LONG;
declare cdecl import, iBodyMeshCreate(string path,unsigned int p1),unsigned int;
declare cdecl import, iBodyMeshCreateFromMemory(byte p0,int p1, byte p2,int p3, int p4, unsigned int p5),unsigned int;
declare cdecl import, iBodySkinMeshCreate(string p0, unsigned int p1),unsigned int;
declare cdecl import, iBoySkinMeshCreateFromMemory(byte p0,int p1, byte p2,int p3,unsigned int p4),unsigned int;
declare cdecl import, iBodyMeshBumpCreate(string p0, string p1,BOOL p2, unsigned int p3),unsigned int;
declare cdecl import, iBodyMeshBumpCreateFromMemory(byte p0,int p1, byte p2,int p3, int p4, byte p5,int p6,int p7,BOOL p8,unsigned int p9),unsigned int;
declare cdecl import, iBodyMassSet(unsigned int p0,float p1);
declare cdecl import, iBodyEulerOrientationSet(unsigned int p0, float p1, float p2, float p3, string p4, unsigned int p5);
declare cdecl import, iBodyOrientationSet(unsigned int p0, D3DXQUATERNION p1, BOOL p2);
declare cdecl import, iBodyOrientationSeek(unsigned int p0, D3DXQUATERNION p1, float p2),float;
declare cdecl import, iBodyOrientation(unsigned int p0, D3DXQUATERNION p1),unsigned int;
declare cdecl import, iBodyYaw(unsigned int p0),float;
declare cdecl import, iBodyPitch(unsigned int p0),float;
declare cdecl import, iBodyRoll(unsigned int p0),float;
declare cdecl import, iBodyEulerOrientationAdd(unsigned int p0, float p1, float p2, float p3, string p4, BOOL p5);
declare cdecl import, iBodyOrientationAdd(unsigned int p0, D3DXQUATERNION p1, BOOL p2);
declare cdecl import, iBodyLocationSet(unsigned int p0, D3DXVECTOR3 p1, BOOL p2);
declare cdecl import, iBodyLocationCMSet(unsigned int p0, D3DXVECTOR3 p1, BOOL p2);
declare cdecl import, iBodyLocation(unsigned int p0, D3DXVECTOR3 p1),unsigned int;
declare cdecl import, iBodyPreviousLocation(unsigned int p0, D3DXVECTOR3 p1),unsigned int;
declare cdecl import, iBodyLocationCM(unsigned int p0, D3DXVECTOR3 p1),unsigned int;
declare cdecl import, iBodyLocationAdd(unsigned int p0, D3DXVECTOR3 p1, BOOL p2);
declare cdecl import, iBodyCMOffset(unsigned int p0, D3DXVECTOR3 p1),unsigned int;
declare cdecl import, iBodySpinSet(unsigned int p0, D3DXVECTOR3 p1);
declare cdecl import, iBodySpin(unsigned int p0, D3DXVECTOR3 p1);
declare cdecl import, iBodyVelocitySet(unsigned int p0, D3DXVECTOR3 p1);
declare cdecl import, iBodyVelocity(unsigned int p0, D3DXVECTOR3 p1);
declare cdecl import, iBodyKmh(unsigned int p0),float;
declare cdecl import, iBodyPointVelocity(unsigned int p0, D3DXVECTOR3 p1, D3DXVECTOR3 p2);
declare cdecl import, iBodyDampingSet(unsigned int p0, float p1, float p2, float p3, float p4);
declare cdecl import, iBodyDamping2Set(unsigned int p0, float p1, float p2, float p3, float p4);
declare cdecl import, iBodyDirectionalAngularDampingSet(unsigned int p0, float p1, float p2, float p3, float p4);
declare cdecl import, iBodyDirectionalLinearDampingSet(unsigned int p0, float p1, float p2, float p3, float p4);
declare cdecl import, iBodyTorqueApply(unsigned int p0, D3DXVECTOR3 p1);
declare cdecl import, iBodyAngularAccelerationApply(unsigned int p0, D3DXVECTOR3 p1);
declare cdecl import, iBodyForceApply(unsigned int p0, D3DXVECTOR3 p1, D3DXVECTOR3 p2);
declare cdecl import, iBodyAccelerationApply(unsigned int p0, D3DXVECTOR3 p1);
declare cdecl import, iBodyPhysicsReset(unsigned int p0);
declare cdecl import, iBodySphereCount(unsigned int p0),LONG;
declare cdecl import, iBodySphere(unsigned int p0, long p1),unsigned int;
declare cdecl import, iBodySphereCenter(unsigned int p0, D3DXVECTOR3 p1);
declare cdecl import, iBodySphereRadius(unsigned int p0),float;
declare cdecl import, iBodyScan(unsigned int p0, D3DXVECTOR3 p1, D3DXVECTOR3 p2, float p3, D3DXVECTOR3 p4, D3DXVECTOR3 p5),LONG;
declare cdecl import, iBodyEnteringMesh(unsigned int p0, D3DXVECTOR3 p1, unsigned int p2),BOOL;
declare cdecl import, iBodyExitingMesh(unsigned int p0, D3DXVECTOR3 p1, unsigned int p2),BOOL;
    
//#End Region
//#Region "BODYBODY"
////BODYBODY

declare cdecl import, iBodyBodyCreate(unsigned int p0, unsigned int p1),unsigned int;
declare cdecl import, iBodyBodyDestroy(unsigned int p0);
declare cdecl import, iBodyBodyEnable(unsigned int p0, BOOL p1);
declare cdecl import, iBodyBodyCollisionResponseEnable(unsigned int p0, BOOL p1);
declare cdecl import, iBodyBodyRestitutionSet(unsigned int p0, float p1);
declare cdecl import, iBodyBodyFrictionSet(unsigned int p0, float p1);
declare cdecl import, iBodyBodyFrictionModelSet(unsigned int p0, long p1);
declare cdecl import, iBodyBodySplitFrictionSet(unsigned int p0, float p1, float p2, float p3, float p4);
declare cdecl import, iBodyBodySubpartRestitutionSet(unsigned int p0, long p1, long p2, float p3);
declare cdecl import, iBodyBodySubpartFrictionSet(unsigned int p0, long p1, long p2, float p3);
declare cdecl import, iBodyBodySubpartFrictionModelSet(unsigned int p0, long p1, long p2, long p3);
declare cdecl import, iBodyBodySubpartSplitFrictionSet(unsigned int p0, long p1, long p2, float p3, float p4, float p5, float p6);
declare cdecl import, iBodyBodyFeedbackEnable(unsigned int p0, int p1, int p2, BOOL p3);
declare cdecl import, iBodyBodyFeedback(unsigned int p0, int p1, int p2, D3DXVECTOR3 p3, D3DXVECTOR3 p4, D3DXVECTOR3 p5, D3DXVECTOR3 p6, D3DXVECTOR3 p7, D3DXVECTOR3 p8),BOOL;
    
//#End Region
//#Region "JOINTS"
////JOINTS

declare cdecl import, iJointBallCreate(unsigned int p0, unsigned int p1, D3DXVECTOR3 p2),unsigned int;
declare cdecl import, iJointHingeCreate(unsigned int p0, unsigned int p1, D3DXVECTOR3 p2, D3DXVECTOR3 p3),unsigned int;
declare cdecl import, iJointSliderCreate(unsigned int p0, unsigned int p1, D3DXVECTOR3 p2),unsigned int;
declare cdecl import, iJointDestroy(unsigned int p0);
declare cdecl import, iJointBallXStopsSet(unsigned int p0, float p1, float p2, float p3, float p4);
declare cdecl import, iJointBallYStopsSet(unsigned int p0, float p1, float p2, float p3, float p4);
declare cdecl import, iJointBallZStopsSet(unsigned int p0, float p1, float p2, float p3, float p4);
declare cdecl import, iJointBallXAMotorSet(unsigned int p0, float p1, float p2, float p3);
declare cdecl import, iJointBallYAMotorSet(unsigned int p0, float p1, float p2, float p3);
declare cdecl import, iJointBallZAMotorSet(unsigned int p0, float p1, float p2, float p3);
declare cdecl import, iJointBallOrientationSet(unsigned int p0, D3DXQUATERNION p1);
declare cdecl import, iJointBallLocation(unsigned int p0, D3DXVECTOR3 p1);
declare cdecl import, iJointhingeStopsSet(unsigned int p0, float p1, float p2, float p3, float p4);
declare cdecl import, iJointHingeAMotorSet(unsigned int p0, float p1, float p2, float p3);
declare cdecl import, iJointSliderStopsSet(unsigned int p0, float p1, float p2, float p3, float p4);
declare cdecl import, iJointSliderForceSet(unsigned int p0, float p1, float p2, float p3);
declare cdecl import, iJointFeedbackEnabe(unsigned int p0, BOOL p1);
declare cdecl import, iJointFeedback(unsigned int p0, D3DXVECTOR3 p1, D3DXVECTOR3 p2, D3DXVECTOR3 p3, D3DXVECTOR3 p4);
declare cdecl import, iWheelCreate(unsigned int p0, unsigned int p1, D3DXVECTOR3 p2, D3DXQUATERNION p3),unsigned int;
declare cdecl import, iWheelDestroy(unsigned int p0);
declare cdecl import, iWheelSteeringAngleSet(unsigned int p0, float p1);
declare cdecl import, iWheelSpinSet(unsigned int p0, float p1);
declare cdecl import, iWheelPowerSet(unsigned int p0, float p1);
declare cdecl import, iWheelSuspensionSet(unsigned int p0, float p1, float p2);
    
//#End Region
//#Region "REPLAY"
////REPLAY
//// NOTE: this has to be tested...
declare cdecl import, iReplayDataCreate(long p0, float p1),unsigned int;
declare cdecl import, iReplayDataDestroy(unsigned int p0);
declare cdecl import, iReplayDataRecord(unsigned int p0, float p1),BOOL;
declare cdecl import, iReplayDataPlay(unsigned int p0, float p1, BOOL p2),BOOL;
declare cdecl import, iReplayDataRecordReset(unsigned int p0);
declare cdecl import, iReplayDataPlayReset(unsigned int p0);
declare cdecl import, iReplayDataWrite(unsigned int p0, unsigned int p1);
declare cdecl import, iReplayDataRead(unsigned int p0, unsigned int p1);
declare cdecl import, iReplayDataTime(unsigned int p0),float;
    
//#End Region
//#Region "MESH"
////MESH

declare cdecl import, iMeshCreate(string p0),unsigned int;
declare cdecl import, iMeshCreateFromMemory(byte p0, int p1, byte p2, int p3, int p4),unsigned int;
declare cdecl import, iMeshBumpCreate(string p0, string p1, BOOL p2),unsigned int;
declare cdecl import, iMeshBumpCreateFromMemory(byte p0, int p1, byte p2, int p3, int p4, string p5, int p6, int p7, BOOL p8),unsigned int;
declare cdecl import, iMeshDestroy(unsigned int p0);
declare cdecl import, iMeshHide(unsigned int p0);
declare cdecl import, iMeshShow(unsigned int p0);
declare cdecl import, iMeshEulerOrientationSet(unsigned int p0, float p1, float p2, float p3, string p4);
declare cdecl import, iMeshOrientationSet(unsigned int p0, D3DXQUATERNION p1);
declare cdecl import, iMeshOrientation(unsigned int p0, D3DXQUATERNION p1),D3DXQUATERNION;
declare cdecl import, iMeshOrientationAdd(unsigned int p0, D3DXVECTOR3 p1, float p2);
declare cdecl import, iMeshLocationSet(unsigned int p0, D3DXVECTOR3 p1);
declare cdecl import, iMeshLocation(unsigned int p0, D3DXVECTOR3 p1),D3DXVECTOR3;
declare cdecl import, iMeshScaleSet(unsigned int p0, float p1, float p2, float p3);
declare cdecl import, iMeshRenderPrioritySet(unsigned int p0, long p1);
declare cdecl import, iMeshRenderModeSet(unsigned int p0, int p1, int p2, BOOL p3, BOOL p4);
declare cdecl import, iMeshZBiasSet(unsigned int p0, long p1);
declare cdecl import, iMeshSpecularSet(unsigned int p0, float p1, float p2);
declare cdecl import, iMeshAlphaSet(unsigned int p0, float p1);
declare cdecl import, iMeshEmissiveSet(unsigned int p0, float p1, float p2, float p3, float p4);
declare cdecl import, iMeshFogSet(unsigned int p0, float p1, float p2);
declare cdecl import, iMeshWireframeEnable(unsigned int p0, BOOL p1);
declare cdecl import, iMeshSecondaryTextureSet(unsigned int p0, string p1, D3DXVECTOR2 p2, float p3, float p4);
declare cdecl import, iMeshSecondaryTextureSetFast(unsigned int p0, D3DXVECTOR2 p1, float p2, float p3);
declare cdecl import, iMeshLocalLightsEnable(unsigned int p0, BOOL p1);
declare cdecl import, iMeshBumpAmbientColorSet(unsigned int p0, float p1, float p2, float p3);
declare cdecl import, iMeshMirrorMake(unsigned int p0, BOOL p1);
declare cdecl import, iMeshVisible(unsigned int p0, unsigned int p1),BOOL;
declare cdecl import, iMeshPicked(unsigned int p0, unsigned int p1),BOOL;
declare cdecl import, iMeshRayCheck(unsigned int p0, D3DXVECTOR3 p1, D3DXVECTOR3 p2),BOOL;
declare cdecl import, iMeshBoundingSphereRayCheck(unsigned int p0, D3DXVECTOR3 p1, D3DXVECTOR3 p2),BOOL;
declare cdecl import, iMeshStretchToSegment(unsigned int p0, D3DXVECTOR3 p1, D3DXVECTOR3 p2, D3DXVECTOR3 p3, float p4);
declare cdecl import, iMeshTextureSet(unsigned int p0, unsigned int p1);
declare cdecl import, iMeshTextureReset(unsigned int p0);
declare cdecl import, iMeshBumpTextureSet(unsigned int p0, unsigned int p1);
declare cdecl import, iMeshBumpTextureReset(unsigned int p0);
declare cdecl import, iMeshTextureSwap(unsigned int p0, unsigned int p1);
declare cdecl import, iMeshBumpTextureSwap(unsigned int p0, unsigned int p1);
declare cdecl import, iMeshTextureChange(unsigned int p0, string p1);
declare cdecl import, iMeshAlphaTextureChange(unsigned int p0, string p1);
declare cdecl import, iMeshTexturePath(unsigned int p0, string p1);
declare cdecl import, iMeshTextureModeSet(unsigned int p0, long p1);
declare cdecl import, iMeshTextureMipMapLodSet(unsigned int p0, float p1);
declare cdecl import, iMeshTextureSharingSet(BOOL p0);
declare cdecl import, iMeshBuffersSharingSet(BOOL p0);
declare cdecl import, iMeshEnvMapReceiverAdd(unsigned int p0, unsigned int p1);
declare cdecl import, iMeshEnvMapBlendSet(unsigned int p0, float p1);
declare cdecl import, iMeshEnvMapGlassSet(unsigned int p0, float p1);
declare cdecl import, iMeshEnvMapCasterAdd(unsigned int p0);
declare cdecl import, iMeshEnvMapCasterRemove(unsigned int p0);
declare cdecl import, iMeshTransfer(unsigned int p0, unsigned int p1);
 
//#End Region
//#Region "MESH-BUFFERS"
////MESH-BUFFERS
//// alot of uknwons here, so watch it
declare cdecl import, iMeshVertexBufferDynamicMake(unsigned int p0, BOOL p1);
declare cdecl import, iMeshVertexBufferOpen(unsigned int p0, unsigned int p1);
declare cdecl import, iMeshVertexBufferClose(unsigned int p0);
declare cdecl import, iMeshVertexBufferSize(unsigned int p0),LONG;
declare cdecl import, iMeshVertexBufferSizeSet(unsigned int p0, long p1);
declare cdecl import, iMeshVertexBufferOriginal(unsigned int p0, unsigned int p1);
declare cdecl import, iMeshFaceBufferDynamicMake(unsigned int p0, BOOL p1);
declare cdecl import, iMeshFaceBufferOpen(unsigned int p0, unsigned int p1);
declare cdecl import, iMeshFaceBufferClose(unsigned int p0);
declare cdecl import, iMeshFaceBufferSize(unsigned int p0),LONG;
declare cdecl import, iMeshFaceBufferSizeSet(unsigned int p0, LONG p1);
declare cdecl import, iMeshFaceBufferOriginal(unsigned int p0, unsigned int p1);
 
//#End Region
//#Region "SKINMESH"
////SKINMESH
	
declare cdecl import, iSkinMeshCreate(string p0),unsigned int;
declare cdecl import, iSkinMeshCreateFromMemory(byte p0, int p1, byte p2, int p3),unsigned int;
declare cdecl import, iSkinMeshBuffersShare(unsigned int p0, unsigned int p1);
declare cdecl import, iSkinMeshTexturesShare(unsigned int p0, unsigned int p1);
declare cdecl import, iSkinMeshAnimationKeysShare(unsigned int p0, unsigned int p1);
declare cdecl import, iSkinMeshTexturesCount(unsigned int p0),LONG;
declare cdecl import, iSkinMeshTextureChange(unsigned int p0, string p1, LONG p2);
declare cdecl import, iSkinMeshDestroy(unsigned int p0);
declare cdecl import, iSkinMeshHide(unsigned int p0);
declare cdecl import, iSkinMeshShow(unsigned int p0);
declare cdecl import, iSkinMeshEulerOrientationSet(unsigned int p0, float p1, float p2, float p3, string p4);
declare cdecl import, iSkinMeshOrientationSet(unsigned int p0, D3DXQUATERNION p1);
declare cdecl import, iSkinMeshOrientation(unsigned int p0, D3DXQUATERNION p1),int;
declare cdecl import, iSkinMeshOrientationAdd(unsigned int p0, D3DXVECTOR3 p1, float p2);
declare cdecl import, iSkinMeshLocationSet(unsigned int p0, D3DXVECTOR3 p1);
declare cdecl import, iSkinMeshLocation(unsigned int p0, D3DXVECTOR3 p1),unsigned int;
declare cdecl import, iSkinMeshAnimationSpeedSet(unsigned int p0, float p1);
declare cdecl import, iSkinMeshAnimationTimeSet(unsigned int p0, float p1);
declare cdecl import, iSkinMeshAnimationTime(unsigned int p0),float;
declare cdecl import, iSkinMeshAnimationLength(unsigned int p0),float;
declare cdecl import, iSkinMeshAnimationCopy(unsigned int p0, unsigned int p1);
declare cdecl import, iSkinMeshRenderModeSet(unsigned int p0, LONG p1, LONG p2, BOOL p3, BOOL p4);
declare cdecl import, iSkinMeshRenderPrioritySet(unsigned int p0, LONG p1);
declare cdecl import, iSkinMeshSpecularSet(unsigned int p0, float p1, float p2);
declare cdecl import, iSkinMeshAlphaSet(unsigned int p0, float p1);
declare cdecl import, iSkinMeshEmissiveSet(unsigned int p0, float p1, float p2, float p3, float p4);
declare cdecl import, iSkinMeshFogSet(unsigned int p0, float p1, float p2);
declare cdecl import, iSkinMeshLocalLightsEnable(unsigned int p0, BOOL p1);
declare cdecl import, iSkinMeshEnvMapReceiverAdd(unsigned int p0, unsigned int p1);
declare cdecl import, iSkinMeshEnvMapBlendSet(unsigned int p0, float p1);
declare cdecl import, iSkinMeshEnvMapCasterAdd(unsigned int p0);
declare cdecl import, iSkinMeshEnvMapCasterRemove(unsigned int p0);
declare cdecl import, iSkinMeshEnvMapGlassSet(unsigned int p0, float p1);
declare cdecl import, iSkinMeshVisible(unsigned int p0, unsigned int p1),BOOL;
declare cdecl import, iSkinMeshBoundingSphereRayCheck(unsigned int p0, D3DXVECTOR3 p1, D3DXVECTOR3 p2),BOOL;
declare cdecl import, iSkinMeshTransfer(unsigned int p0, unsigned int p1);
declare cdecl import, iSkinMeshBonesCount(unsigned int p0),LONG;
declare cdecl import, iSkinMeshBoneCreate(unsigned int p0, LONG p1),unsigned int;
declare cdecl import, iSkinMeshBoneCreateByName(unsigned int p0, string p1),unsigned int;
declare cdecl import, iSkinMeshBoneDestroy(unsigned int p0);
declare cdecl import, iSkinMeshBoneChildFind(unsigned int p0, LONG p1),unsigned int;
declare cdecl import, iSkinMeshBoneParentFind(unsigned int p0),unsigned int;
declare cdecl import, iSkinMeshBoneOrientation(unsigned int p0, D3DXQUATERNION p1, LONG p2),unsigned int;
declare cdecl import, iSkinMeshBoneOrientationSet(unsigned int p0, D3DXQUATERNION p1, LONG p2);
declare cdecl import, iSkinMeshBoneLookAt(unsigned int p0, D3DXVECTOR3 p1, D3DXVECTOR3 p2);
declare cdecl import, iSkinMeshBoneLocation(unsigned int p0, D3DXVECTOR3 p1, LONG p2),unsigned int;
declare cdecl import, iSkinMeshBoneLocationSet(unsigned int p0, D3DXVECTOR3 p1);
declare cdecl import, iSkinMeshBoneScaling(unsigned int p0, D3DXVECTOR3 p1),unsigned int;
declare cdecl import, iSkinMeshBoneScalingSet(unsigned int p0, D3DXVECTOR3 p1);
declare cdecl import, iSkinMeshBoneName(unsigned int p0, string p1);
 
//#End Region
//#Region "SHADOW"
////SHADOW

declare cdecl import, iMeshShadowCasterCreate(string p0, float p1),unsigned int;
declare cdecl import, iMeshShadowCasterCreateFromMemory(byte p0, int p1, float p2),unsigned int;
declare cdecl import, iSkinMeshShadowCasterCreate(string p0, float p1),unsigned int;
declare cdecl import, iSkinMeshShadowCasterCreateFromMemory(byte p0, int p1, int p2, float p3),unsigned int;
declare cdecl import, iMeshBodyShadowCasterCreate(string p0, unsigned int p1, float p2),unsigned int;
declare cdecl import, iMeshBodyShadowCasterCreateFromMemory(byte p0, int p1, unsigned int p2, float p3),unsigned int;
declare cdecl import, iMeshShadowCasterExtrusionSet(unsigned int p0, float p1);
declare cdecl import, iMeshShadowCasterNormalsRecompute(unsigned int p0);
 
//#End Region
//#Region "ENV-MAP"
////ENVIRONMENT-MAP

declare cdecl import, iEnvMapCreate(string p0),unsigned int;
declare cdecl import, iEnvMapCreateFromMemory(byte p0, int p1),unsigned int;
declare cdecl import, iEnvMapDestroy(unsigned int p0);
declare cdecl import, iEnvMapFocusSet(unsigned int p0, D3DXVECTOR3 p1);
declare cdecl import, iEnvMapUpdateRateSet(unsigned int p0, float p1);
 
//#End Region
//#Region "SPRITE"
////SPRITE
declare cdecl import, iSpriteCreate(string path, unsigned int cam),unsigned int;
declare cdecl import, iSpriteCreateFromMemory(byte p0, int p1, byte p2, int p3, int p4, unsigned int p5),unsigned int;
declare cdecl import, iSpriteDestroy(unsigned int p0);
declare cdecl import, iSpriteHide(unsigned int p0);
declare cdecl import, iSpriteShow(unsigned int p0);
declare cdecl import, iSpriteSet(unsigned int p0, D3DXVECTOR2 p1, float p2, D3DXVECTOR2 p3);
declare cdecl import, iSpriteOrientationSet(unsigned int p0, float p1);
declare cdecl import, iSpriteLocationSet(unsigned int p0, D3DXVECTOR2 p1);
declare cdecl import, iSpriteLocation(unsigned int p0, D3DXVECTOR2 p1);
declare cdecl import, iSpriteScaleSet(unsigned int p0, D3DXVECTOR2 p1);
declare cdecl import, iSpritePrioritySet(unsigned int p0, int p1);
declare cdecl import, iSpriteRenderModeSet(unsigned int p0, unsigned int p1, unsigned int p2);
declare cdecl import, iSpriteColorSet(unsigned int p0, float p1, float p2, float p3, float p4);
declare cdecl import, iSpriteTextureSet(unsigned int p0, unsigned int p1);
declare cdecl import, iSpriteTextureReset(unsigned int p0);
declare cdecl import, iSpriteTextureSwap(unsigned int p0, unsigned int p1);
declare cdecl import, iSpriteTextureChange(unsigned int p0, string p1);
declare cdecl import, iSpriteAlphaTextureChange(unsigned int p0, string p1);
declare cdecl import, iSpriteMipFilterModeSet(unsigned int p0, int p1);
declare cdecl import, iSpriteTextureModeSet(unsigned int p0, int p1);
declare cdecl import, iSpritePicked(unsigned int p0),unsigned int;
declare cdecl import, iSpriteRender(unsigned int p0, BOOL p1);
  
//#End Region
//#Region "PARTICLE"
////PARTICLE

declare cdecl import, iParticleCreate(string p0,int p1),unsigned int;
declare cdecl import, iParticleCreateFromMemory(byte p0,int p1,int p2,int p3),unsigned int;
declare cdecl import, iParticleDestroy(unsigned int p0);
declare cdecl import, iParticleHide(unsigned int p0);
declare cdecl import, iParticleShow(unsigned int p0);
declare cdecl import, iParticleRenderModeSet(unsigned int p0, int p1);
declare cdecl import, iParticleLifeTimeSet(unsigned int p0, float p1);
declare cdecl import, iParticleAirResistanceSet(unsigned int p0, float p1);
declare cdecl import, iParticleGravitySet(unsigned int p0, D3DXVECTOR3 p1);
declare cdecl import, iParticleColorSet(unsigned int p0, D3DXVECTOR3 p1, D3DXVECTOR3 p2);
declare cdecl import, iParticleReset(unsigned int p0);
declare cdecl import, iParticleEmitterCreate(unsigned int p0),unsigned int;
declare cdecl import, iParticleEmitterDestroy(unsigned int p0);
declare cdecl import, iParticleEmitterEmit(unsigned int p0, float p1, float p2);
declare cdecl import, iParticleEmitterLocationSet(unsigned int p0, D3DXVECTOR3 p1);
declare cdecl import, iParticleEmitterDirectionSet(unsigned int p0, D3DXVECTOR3 p1, D3DXVECTOR3 p2);
declare cdecl import, iParticleEmitterSpeedSet(unsigned int p0, float p1, float p2);
declare cdecl import, iParticleEmitterScaleSet(unsigned int p0, D3DXVECTOR2 p1, D3DXVECTOR2 p2);
declare cdecl import, iParticleEnvMapCasterAdd(unsigned int p0);
declare cdecl import, iParticleEnvMapCasterRemove(unsigned int p0);
 
//#End Region
//#Region "TRAIL"
////TRAIL

declare cdecl import, iTrailCreate(string p0, int p1),unsigned int;
declare cdecl import, iTrailCreateFromMemory(byte p0, int p1, int p2, int p3),unsigned int;
declare cdecl import, iTrailDestroy(unsigned int p0);
declare cdecl import, iTrailHide(unsigned int p0);
declare cdecl import, iTrailShow(unsigned int p0);
declare cdecl import, iTrailRenderModeSet(unsigned int p0, int p1);
declare cdecl import, iTrailLifeTimeSet(unsigned int p0, float p1);
declare cdecl import, iTrailColorSet(unsigned int p0, D3DXVECTOR3 p1, D3DXVECTOR3 p2);
declare cdecl import, iTrailReset(unsigned int p0);
declare cdecl import, iTrailEmitterCreate(unsigned int p0),unsigned int;
declare cdecl import, iTrailEmitterDestroy(unsigned int p0);
declare cdecl import, iTrailEmitterEmit(unsigned int p0, float p1, float p2);
declare cdecl import, iTrailEmitterLocationSet(unsigned int p0, D3DXVECTOR3 p1);
declare cdecl import, iTrailEmitterScaleSet(unsigned int p0, float p1);
declare cdecl import, iTrailEmitterCut(unsigned int p0);
declare cdecl import, iTrailEmitterOrientationSet(unsigned int p0, D3DXQUATERNION p1);
declare cdecl import, iTrailEnvMapCasterAdd(unsigned int p0);
declare cdecl import, iTrailEnvMapCasterRemove(unsigned int p0);

//#End Region


//#Region "TEXTURES"
////TEXTURES

declare cdecl import, iTextureCreate(string path),unsigned int;
declare cdecl import, iTextureCreateFromMemory(byte p0, int p1, int p2),unsigned int;
declare cdecl import, iTextureDestroy(unsigned int p0);
declare cdecl import, iTextureToNormalMap(unsigned int p0);
declare cdecl import, iTextureMipLevelSet(int p0);
declare cdecl import, iTextureMipFilterSet(int p0);

//#End Region
//#Region "INPUT-KEYBD"
////INPUT-KEYBD

declare cdecl import, iKeyDown(int p0),BOOL;
declare cdecl import, iKeyClick(int p0),BOOL;
declare cdecl import, iKeyUpWait(int p0);
declare cdecl import, iTypedChar(BOOL p0),string;
 
//#End Region
//#Region "INPUT-MOUSE"
////INPUT-MOUSE

declare cdecl import, iMouseResolutionSet(int p0);
declare cdecl import, iMouseButtonDown(int p0),BOOL;
declare cdecl import, iMouseButtonClick(int p0),BOOL;
declare cdecl import, iMouseButtonUpWait(int p0);
declare cdecl import, iMouseX(),float;
declare cdecl import, iMouseY(),float;
declare cdecl import, iMouseZ(BOOL p0),float;
declare cdecl import, iWindowsMouseHide(BOOL p0);
declare cdecl import, iMouseReset(D3DXVECTOR2 p0);
declare cdecl import, iMouseZSet(float p0);


//#End Region
//#Region "INPUT-JOYSTICK"
////INPUT-JOYSTCK

declare cdecl import, iJoyCount(),int;
declare cdecl import, iJoyName(int p0),string;
declare cdecl import, iJoyButtonDown(int p0, int p1),BOOL;
declare cdecl import, iJoyButtonClick(int p0, int p1),BOOL;
declare cdecl import, iJoyButtonUpWait(int p0, int p1);
declare cdecl import, iJoyAverageCenterWait(int p0, float p1);
declare cdecl import, iJoyX(int p0),float;
declare cdecl import, iJoyY(int p0),float;
declare cdecl import, iJoyZ(int p0),float;
declare cdecl import, iJoyXAverage(int p0, float p1),float;
declare cdecl import, iJoyYAverage(int p0, float p1),float;
declare cdecl import, iJoyZAverage(int p0, float p1),float;
declare cdecl import, iJoyState(int p0, DIJOYSTATE2 p1);
 
//#End Region
//#Region "OUTPUT"
////OUTPUT

declare cdecl import, iFontCreate(string p0, unsigned int p1),unsigned int;
declare cdecl import, iFontCreateFromMemory(byte p0, int p1, byte p2, int p3, byte p4, int p5, int p6, unsigned int p7),unsigned int;
declare cdecl import, iFontDestroy(unsigned int p0);
declare cdecl import, iPrint(string p0, D3DXVECTOR2 p1, D3DXVECTOR2 p2, float p3, unsigned int p4);
declare cdecl import, iPrintCentered(string p0, D3DXVECTOR2 p1, D3DXVECTOR2 p2, float p3, unsigned int p4, float p5);
declare cdecl import, iPrintWidth(string p0, D3DXVECTOR2 p1, float p2, unsigned int p3),float;
declare cdecl import, iPrintColorSet(float p0, float p1, float p2, float p3);
declare cdecl import, iPrintsHide();

//#End Region
//#Region "SPRINGS"
////SPRINGS

declare cdecl import, iSpringCreate(unsigned int p0, D3DXVECTOR3 p1, unsigned int p2, D3DXVECTOR3 p3),unsigned int;
declare cdecl import, iSpringDestroy(unsigned int p0);
declare cdecl import, iSpringDisable(unsigned int p0);
declare cdecl import, iSpringEnable(unsigned int p0);
declare cdecl import, iSpringBodySet(unsigned int p0, unsigned int p1, D3DXVECTOR3 p2);
declare cdecl import, iSpringTargetBodySet(unsigned int p0, unsigned int p1, D3DXVECTOR3 p2);
declare cdecl import, iSpringSet(unsigned int p0, float p1);
declare cdecl import, iSpringDampingSet(unsigned int p0, float p1);
 
//#End Region
//#Region "SOUND"
//SOUND

declare cdecl import, iAudioIsAvailable(),BOOL;
declare cdecl import, iListenerCameraSet(unsigned int p0);
declare cdecl import, iListenerDopplerSet(float p0);
declare cdecl import, iSoundCreate(string p0, BOOL p1),unsigned int;
declare cdecl import, iSoundOggCreate(string p0, BOOL p1, int p2),unsigned int;
declare cdecl import, iSoundOggCreateFromMemory(byte p0, int p1, BOOL p2, int p3),unsigned int;
declare cdecl import, iSoundDestroy(unsigned int p0);
declare cdecl import, iSoundPlay(unsigned int p0, BOOL p1);
declare cdecl import, iSoundPlayNow(unsigned int p0, BOOL p1);
declare cdecl import, iSoundPlaying(unsigned int p0);
declare cdecl import, iSoundStop(unsigned int p0, int p1);
declare cdecl import, iSoundLocationSet(unsigned int p0, D3DXVECTOR3 p1);
declare cdecl import, iSoundVelocitySet(unsigned int p0, D3DXVECTOR3 p1);
declare cdecl import, iSoundFrequencySet(unsigned int p0, int p1);
declare cdecl import, iSoundVolumeSet(unsigned int p0, float p1);
 
//#End Region
//#Region "NETWORK"
//NETWORK

declare cdecl import, iNetServerStart(string p0, string p1, int p2, unsigned int p3, int p4),BOOL;
declare cdecl import, iNetClientStart(string p0, string p1, unsigned int p2, int p3, string p4, int p5, int p6, unsigned int p7),BOOL;
declare cdecl import, iNetStop();
declare cdecl import, iNetClientDisconnect(int p0);
declare cdecl import, iNetBodySyncCreate(unsigned int p0, float p1),unsigned int;
declare cdecl import, iNetBodySyncDestroy(unsigned int p0);
declare cdecl import, iNetFloatSyncCreate(float p0, float p1, float p2, float p3),unsigned int;
declare cdecl import, iNetFloatSyncUpdate(unsigned int p0, float p1),BOOL;
declare cdecl import, iNetFloatSyncDestroy(unsigned int p0);
declare cdecl import, iNetClientReset();
declare cdecl import, iNetServerSendFrqSet(float p0);
declare cdecl import, iNetClientSendFrqSet(float p0);
declare cdecl import, iNetSessionTerminated(),BOOL;
declare cdecl import, iNetClientSync(),float;
declare cdecl import, iNetPlayerChanged(),BOOL;
declare cdecl import, iNetPlayersCount(),int;
declare cdecl import, iNetPlayerMachine(int p0),int;
declare cdecl import, iNetLocalPlayerMachine(),int;
declare cdecl import, iNetPlayerId(int p0, int p1),BOOL;
declare cdecl import, iNetPlayerName(int p0, string p1),BOOL;
declare cdecl import, iNetDataSend(string p0, int p1, unsigned int p2, unsigned int p3, BOOL p4);
declare cdecl import, iNetData(string p0, unsigned int p1, unsigned int p2),int;
declare cdecl import, iNetDataDiscard(),int;
declare cdecl import, iNetLag(int p0),float;
declare cdecl import, iNetMinimumLag(),float;
declare cdecl import, iNetBPS(int p0),int;
declare cdecl import, iNetBytesSent(int p0),int;
declare cdecl import, iNetBytesReceived(int p0),int;
declare cdecl import, iNetIgnoreContacts(BOOL p0);
 
//#End Region
//#Region "MATH"
////MATH

declare cdecl import, iVectoryBodyToWorldTransform(D3DXVECTOR3 p0, D3DXVECTOR3 p1, unsigned int p2, unsigned int p3);
declare cdecl import, iVectorBodyToWorldRotate(D3DXVECTOR3 p0, D3DXVECTOR3 p1, unsigned int p2, unsigned int p3);
declare cdecl import, iVectorMeshToWorldTransform(D3DXVECTOR3 p0, D3DXVECTOR3 p1, unsigned int p2);
declare cdecl import, iVectorMeshToWorldRotate(D3DXVECTOR3 p0, D3DXVECTOR3 p1, unsigned int p2);
declare cdecl import, iVectorSkinMeshToWorldTransform(D3DXVECTOR3 p0, D3DXVECTOR3 p1, unsigned int p2);
declare cdecl import, iVectorSkinMeshToWorldRotate(D3DXVECTOR3 p0, D3DXVECTOR3 p1, unsigned int p2);
declare cdecl import, iVectorWorldToBodyTransform(D3DXVECTOR3 p0, D3DXVECTOR3 p1, unsigned int p2);
declare cdecl import, iVectorWorldToBodyRotate(D3DXVECTOR3 p0, D3DXVECTOR3 p1, unsigned int p2);
declare cdecl import, iVectorWorldToMeshTransform(D3DXVECTOR3 p0, D3DXVECTOR3 p1, unsigned int p2);
declare cdecl import, iVectorWorldToMeshRotate(D3DXVECTOR3 p0, D3DXVECTOR3 p1, unsigned int p2);
declare cdecl import, iVectorWorldToSkinMeshTransform(D3DXVECTOR3 p0, D3DXVECTOR3 p1, unsigned int p2);
declare cdecl import, iVectorWorldToSkinMeshRotate(D3DXVECTOR3 p0, D3DXVECTOR3 p1, unsigned int p2);
declare cdecl import, iVectorModelToBodyTransform(D3DXVECTOR3 p0, D3DXVECTOR3 p1, unsigned int p2);
declare cdecl import, iVectorBodyToModelTransform(D3DXVECTOR3 p0, D3DXVECTOR3 p1, unsigned int p2);
declare cdecl import, iVectorRotate(D3DXVECTOR3 p0, D3DXVECTOR3 p1, D3DXQUATERNION p2);
declare cdecl import, iVectorEulerRotate(D3DXVECTOR3 p0, D3DXVECTOR3 p1, float p2, float p3, float p4, string p5);
declare cdecl import, iVectorsAngleToQuaternion(D3DXQUATERNION p0, D3DXVECTOR3 p1, D3DXVECTOR3 p2, float p3);
declare cdecl import, iVectorsAngle(D3DXVECTOR3 p0, D3DXVECTOR3 p1),float;
declare cdecl import, iVectorLength(D3DXVECTOR3 p0),float;
declare cdecl import, iVectorLengthSq(D3DXVECTOR3 p0),float;
declare cdecl import, iVectorLengthSet(D3DXVECTOR3 p0, D3DXVECTOR3 p1, float p2);
declare cdecl import, iVectorDot(D3DXVECTOR3 p0, D3DXVECTOR3 p1),float;
declare cdecl import, iVectorCross(D3DXVECTOR3 p0, D3DXVECTOR3 p1, D3DXVECTOR3 p2);
declare cdecl import, iQuarternionFromAxisAngle(D3DXQUATERNION p0, D3DXVECTOR3 p1, float p2);
declare cdecl import, iQuarternionToAxisAngle(D3DXQUATERNION p0, D3DXVECTOR3 p1, float p2);
declare cdecl import, iQuarternionFromEulerAngles(D3DXQUATERNION p0, float p1, float p2, float p3, string p4);
declare cdecl import, iQuaternionToEulerAngles(D3DXQUATERNION p0, float p1, float p2, float p3);
declare cdecl import, iQuaternionInterpolate(D3DXQUATERNION p0, D3DXQUATERNION p1, D3DXQUATERNION p2, float p3);
declare cdecl import, iQuaternionLookAt(D3DXQUATERNION p0, D3DXVECTOR3 p1, D3DXVECTOR3 p2);
declare cdecl import, iQuaternionMultiply(D3DXQUATERNION p0, D3DXQUATERNION p1, D3DXQUATERNION p2);
declare cdecl import, iPlaneFromPointNormal(D3DXPLANE p0, D3DXVECTOR3 p1, D3DXVECTOR3 p2);
declare cdecl import, iPlaneFromPoint(D3DXPLANE p0, D3DXVECTOR3 p1, D3DXVECTOR3 p2, D3DXVECTOR3 p3);
declare cdecl import, iPlaneLineIntersection(D3DXVECTOR3 p0, D3DXPLANE p1, D3DXVECTOR3 p2, D3DXVECTOR3 p3),BOOL;
declare cdecl import, iFloatTendTo(float p0, float p1, float p2);
declare cdecl import, iFloatClamp(float p0, float p1, float p2);
declare cdecl import, iIntClamp(int p0, int p1, int p2);
declare cdecl import, iFloatAdd(float p0, float p1);
declare cdecl import, iFloatAbs(float p0),float;
declare cdecl import, iFloatRand(float p0, float p1),float;
declare cdecl import, iIntRand(int p0, int p1),int;
declare cdecl import, iSignRand(),float;
declare cdecl import, iFloatInterpolate(float p0, float p1, float p2, float p3, float p4, BOOL p5),float;

//#End Region
//#Region "GDI-DIALOGS"
//GDI-DIALOGS

declare cdecl import, iGDISurfaceShow();
declare cdecl import, iGDISurfaceHide();
declare cdecl import, iFileOpenDialog(string p0, string p1, string p2, BOOL p3),BOOL;
declare cdecl import, iFileOpenDialogNameExtract(string p0, string p1, int p2),BOOL;
declare cdecl import, iFileSaveDialog(string p0, string p1, string p2, BOOL p3),BOOL;
declare cdecl import, iFolderSelectDialog(string p0, string p1),BOOL;
declare cdecl import, iMessageBox(string p0);
declare cdecl import, iMessageBoxYesNo(string p0, int p1),BOOL;
 
//#End Region
//#Region "RENDERING"
//RENDERING

declare cdecl import, iWindow(),unsigned int;
declare cdecl import, iWindowTitleSet(string p0);
declare cdecl import, iWindowCenter(unsigned int p0, unsigned int p1);
declare cdecl import, iDisplayMode(),int;
declare cdecl import, iRender();
declare cdecl import, iScreenWipe(int p0, int p1, int p2);
declare cdecl import, iFrameRate(BOOL p0),float;
declare cdecl import, iBackgroundColorSet(int p0, int p1, int p2);
declare cdecl import, iFogColorSet(int p0, int p1, int p2);
declare cdecl import, iShadowColorSet(D3DXVECTOR3 p0);
declare cdecl import, iShadowDisplacementSet(float p0);
declare cdecl import, iGammaSet(float p0, float p1, float p2, float p3, float p4, float p5);
declare cdecl import, iBoundingSphereFrustumCheckSet(BOOL p0);
declare cdecl import, iPixelShadersSupported(),BOOL;
declare cdecl import, iEnvMapsSupported(),BOOL;
declare cdecl import, iDynamicEnvMapsSupported(),BOOL;
declare cdecl import, iMirrorPlaneSet(D3DXVECTOR3 p0, D3DXVECTOR3 p1);
declare cdecl import, iMirrorShadowsSet(BOOL p0);
declare cdecl import, iRenderingEnable();
declare cdecl import, iRenderingDisable();
declare cdecl import, i3DLocationToScreen(D3DXVECTOR2 p0, D3DXVECTOR3 p1, unsigned int p2);
declare cdecl import, iScreenRay(unsigned int p0, D3DXVECTOR2 p1, D3DXVECTOR3 p2, D3DXVECTOR3 p3);
declare cdecl import, iPickPoint(D3DXVECTOR3 p0);
declare cdecl import, iScreenShot(string p0);
declare cdecl import, iMovieSaveStart(string p0, int p1);
declare cdecl import, iMovieSaveStop();
 
//#End Region
//#Region "PROCESSING"
////PROCESSING
declare cdecl import, iExit();
declare cdecl import, iEscEnable(BOOL p0);
declare cdecl import, iSettingsPanelSkip(BOOL p0);
declare cdecl import, iFrq(),float;
declare cdecl import, iSimulationFrqSet(float p0);
declare cdecl import, iPhysicsAccuracySet(float p0);
declare cdecl import, iSystemTimer(),float;
declare cdecl import, iTic(),int;
declare cdecl import, iEdgeCollisionCheckSet(BOOL p0);
declare cdecl import, iBoundingSphereCollisionCheckSet(BOOL p0);
declare cdecl import, iReset(BOOL p0, BOOL p1);
declare cdecl import, iProcessMessages();
 
//#End Region

//#Region "FILES"
////FILES
declare cdecl import, iDLLFile(string p0);
declare cdecl import, iCommandLineFile(string p0);
declare cdecl import, iGlobalPathMake(string p0, string p1);
declare cdecl import, iChangeExtension(string p0, string p1, string p2);
declare cdecl import, iFileExists(string p0),BOOL;
declare cdecl import, iFilePathOnly(string p0, string p1);
declare cdecl import, iFileNameOnly(string p0, string p1);
declare cdecl import, iFileExtOnly(string p0, string p1);
 
//#End Region